Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.logging
Class Severities

    java.lang.Object
      weblogic.logging.Severities

    public class Severities

extends Object

This class defines the constants for all the severities used by WLS Logging.

Field Summary
`static int` | `ALERT` A particular service is in an unusable state.
`static String` | `ALERT_TEXT`
`static int` | `CRITICAL` A system or service level error has occured.
`static String` | `CRITICAL_TEXT`
`static int` | `DEBUG` A debug message.
`static String` | `DEBUG_TEXT`
`static int` | `EMERGENCY` The server is in an unusable state.
`static String` | `EMERGENCY_TEXT`
`static int` | `ERROR` A user level error has occured.
`static String` | `ERROR_TEXT`
`static int` | `INFO` An informational message.
`static String` | `INFO_TEXT`
`static int` | `NOTICE` A particularly important warning or informational message.
`static String` | `NOTICE_TEXT`
`static int` | `OFF` All messages are turned off.
`static String` | `OFF_TEXT`
`static int` | `TRACE` A trace message.
`static String` | `TRACE_TEXT`
`static int` | `WARNING` A warning message.
`static String` | `WARNING_TEXT`

Constructor Summary
`Severities()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OFF

    public static final int OFF

  All messages are turned off.

  See Also:
    Constant Field Values

### OFF_TEXT

    public static final String OFF_TEXT

See Also:
  Constant Field Values

### EMERGENCY

    public static final int EMERGENCY

  The server is in an unusable state. This should only be used to designate severe system failures or panics. Individual services should never use this category.

  See Also:
    Constant Field Values

### EMERGENCY_TEXT

    public static final String EMERGENCY_TEXT

See Also:
  Constant Field Values

### ALERT

    public static final int ALERT

  A particular service is in an unusable state. Other parts of the system continue to function. Automatic recovery is not possible and the immediate attention of the administrator is required to resolve the problem.

  See Also:
    Constant Field Values

### ALERT_TEXT

    public static final String ALERT_TEXT

See Also:
  Constant Field Values

### CRITICAL

    public static final int CRITICAL

  A system or service level error has occured. The system is able to recover, perhaps with a momentary loss or permanent degradation of service.

  See Also:
    Constant Field Values

### CRITICAL_TEXT

    public static final String CRITICAL_TEXT

See Also:
  Constant Field Values

### ERROR

    public static final int ERROR

  A user level error has occured. The system is able to handle the error with no interruption and limited degradation in service.

  See Also:
    Constant Field Values

### ERROR_TEXT

    public static final String ERROR_TEXT

See Also:
  Constant Field Values

### WARNING

    public static final int WARNING

  A warning message. A suspicious operation or configuration which does not affect the normal operation of the server.

  See Also:
    Constant Field Values

### WARNING_TEXT

    public static final String WARNING_TEXT

See Also:
  Constant Field Values

### NOTICE

    public static final int NOTICE

  A particularly important warning or informational message. Messages, such as notification of successful recovery from a failure, are of particular importance to an adminstrator monitoring the server.

  See Also:
    Constant Field Values

### NOTICE_TEXT

    public static final String NOTICE_TEXT

See Also:
  Constant Field Values

### INFO

    public static final int INFO

  An informational message. Used for the logging of normal operations for later examination.

  See Also:
    Constant Field Values

### INFO_TEXT

    public static final String INFO_TEXT

See Also:
  Constant Field Values

### DEBUG

    public static final int DEBUG

  A debug message. Should be output only when the server is configured in a debug mode. May contain detailed information about operations or the state of the server.

  See Also:
    Constant Field Values

### DEBUG_TEXT

    public static final String DEBUG_TEXT

See Also:
  Constant Field Values

### TRACE

    public static final int TRACE

  A trace message. Trace messages are generated when Diagnostic Tracing is enabled for server and application classes. These messages indicate the flow of a request through the system.

  See Also:
    Constant Field Values

### TRACE_TEXT

    public static final String TRACE_TEXT

See Also:
  Constant Field Values

Constructor Detail

### Severities

    public Severities()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD